<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Tutorial: Signal selection and display</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Tutorial: Signal selection and display</h1>

    <section>

<header>
    

    <h2>Signal selection and display</h2>
</header>

<article>
    <!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Signal Sources and Oscilloscope</title>
  </head>
  <style>
    .jsscript
    {
      font-weight: bold;  
      color:blue;  
    }
  </style>
  
  <body>       
    <h3>File Structure and Artifacts</h3>     
    <h4>File Structure</h4>     
    <p>
    <dl>
    <dt><ul><li class='jsscript'>main: root folder</li></ul></dt>
    <dd>
    <ul>
      <li>buildscripts : linux shell scripts to prepare build steps</li>
      <li>confGitlabRunner : runner configuration template for gitlab CI runner</li>
      <li>confPython : configuration info for python</li>
      <li>CSS : style sheets</li>
      <li>custom-template : customization configuration for the node documenation build</li>
      <li>docs : created documentations</li>
      <li class='jsscript'>HTML : web pages in HTML </li>
      <li>images : pictures for all kind of illustrations</li>
      <li>node_modules : created by npm install according to the package.json configuration</li>
      <li>node_scripts : customized javascript modules used by node.js</li>
      <li>projects : sub file structure that covers all projects underneath the main node.js application </li>
      <li class='jsscript'>Script : javascripts which are loaded into the client side HTML pages </li>
      <li>test : API self tests in Mocha using the Chai assertion library </li>
    </ul>
    </dd>
    </dl>

    The three highlighted folders are covering the functionality which shall be discussed by tutorial.  
    </p>
    <h4>Artifacts</h4>     
    <dl>
      <dt><ul><li>main: root folder</li></ul></dt>
      <dd>
      <ul>
        <li>index.js : main node.js application</li>
      </ul>
      </dd>
    </dl>
    <dl>
      <dt><ul><li>HTML: javascripts for client</li></ul></dt>
      <dd>
      <ul>
        <li>signalsNOsci.html : select input signals, distribute them to the simulation module and visualize all data</li>
      </ul>
      </dd>
    </dl>
    <dl>
      <dt><ul><li>Script: javascripts for client</li></ul></dt>
      <dd>
      <ul>
        <li>audio-element.js : audi file processing</li>
      </ul>
      </dd>
    </dl>


    </p> 
    <h3>Converting Amplitude-Time Behavior into Sound Files </h3>      
    <h4>csv_to_wav.y<h4>
    <p></p>
    <p></p>
    <p></p>
    <img src="SignalSelect.png" alt="Signal Selection">
    <h3>Input Signal Column : class signals</h2>      
    <p>
      The first interactive column is implemented as a table of buttons. The list is dynamically created out of the list 
      of available file sources. 
      <dl>
        <dt>
          <ul> <li>table / class signals</li> </ul>
        </dt>
        <dd>          
          <dl>
            <dt><ul><li>table row</li></ul></dt>
            <dd><dl><dt><ul><li>table data</li></ul></dt><dd><ul><li>button with id : signalno0</li></ul></dd></dl></dd>         
          </dl>
        </dd>   
        <dd>          
          <dl>
            <dt><ul><li>...</li></ul></dt>
            <dd><dl><dt><ul><li>...</li></ul></dt><dd><ul><li>...</li></ul></dd></dl></dd>         
          </dl>
        </dd>  
        <dd>          
          <dl>
            <dt><ul><li>table row</li></ul></dt>
            <dd><dl><dt><ul><li>table data</li></ul></dt><dd><ul><li>button with id : signal no n</li></ul></dd></dl></dd>         
          </dl>
        </dd>              
      </dl>      
    </p>
  </body>
</html>
</article>

</section>

</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons_client.html">b_create_caldata_buttons_client</a></li><li><a href="module-c_socketCom_server.html">c_socketCom_server</a></li><li><a href="module-d_handleModelData_client.html">d_handleModelData_client</a></li><li><a href="module-e_getModelStimulationData.html">e_getModelStimulationData</a></li><li><a href="module-f_getPostgresData_server.html">f_getPostgresData_server</a></li><li><a href="module-g_setPostgresData_server.html">g_setPostgresData_server</a></li><li><a href="module-h_deletePostgresData_server.html">h_deletePostgresData_server</a></li><li><a href="module-i_getPostgresWOsocket_server.html">i_getPostgresWOsocket_server</a></li><li><a href="module-j_updatePostgresData_server.html">j_updatePostgresData_server</a></li><li><a href="module-k_select-stimulation_client.html">k_select-stimulation_client</a></li><li><a href="module-l_3d_map_visualization_client.html">l_3d_map_visualization_client</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.k_1_startStimulation.html">k_1_startStimulation</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html">c_1_socketfunction</a></li><li><a href="data.b_1_dataviz.html">b_1_dataviz</a></li><li><a href="data.b_1_dataviz.b_1_1_socketevent.html">b_1_1_socketevent</a></li><li><a href="data.d_1_handler.html">d_1_handler</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:connection">connection</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getTable">getTable</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:time">time</a></li><li><a href="data.b_1_dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-e_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Jul 29 2021 13:46:03 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>